-----------------functions----------------------  



function drawUnderTitle(text, duration)
        ClearPrints()
        SetTextEntry_2("STRING")
        AddTextComponentString(text)
        DrawSubtitleTimed(duration, 1)
end

function ShowMessage(message)
	SetNotificationTextEntry("STRING") -- shows a message above the map.
	AddTextComponentString(message)
	DrawNotification(0,1)
end

function TextLeftCorner(str) -- exactly like esx:showNotification, but without esx.
	SetTextComponentFormat("STRING")
	AddTextComponentString(str)
	DisplayHelpTextFromStringLabel(0, 0, 1, -1)
end

function deleteCar( entity )
    Citizen.InvokeNative( 0xEA386986E786A54F, Citizen.PointerValueIntInitialized( entity ) )
end



function FailedMission(scaleform)
    local scaleform = RequestScaleformMovie(scaleform)

    while not HasScaleformMovieLoaded(scaleform) do
      Citizen.Wait(0)
    end
	
    PushScaleformMovieFunction(scaleform, "SHOW_SHARD_WASTED_MP_MESSAGE")
    PushScaleformMovieFunctionParameterString("~r~Mission Failed!~s~")
    PushScaleformMovieFunctionParameterString("Good luck next time... Come back any time.")
    PopScaleformMovieFunctionVoid() 
    
    return scaleform
	
end

function RenderScaleform(scaleform)
   	DrawScaleformMovieFullscreen(scaleform, 255, 255, 255, 255, 0)
end

function displayFailedMission()
    local initalizedScaleform = FailedMission("mp_big_message_freemode")
    while displayThisMissionFailedScreen ~= false do
		StartScreenEffect("DeathFailOut", 0, 0)
        RenderScaleform(initalizedScaleform)
        Citizen.Wait(0)
		if count == nil then
			count = 6
		else
			count = count -0.03
		if count <= 0 then
		displayThisMissionFailedScreen = false
		StopScreenEffect("DeathFailOut")
			end
		end
    end
end

function PassedMission(scaleform)
    local scaleform = RequestScaleformMovie(scaleform)

    while not HasScaleformMovieLoaded(scaleform) do
      Citizen.Wait(0)
    end
	
    PushScaleformMovieFunction(scaleform, "SHOW_SHARD_WASTED_MP_MESSAGE")
    PushScaleformMovieFunctionParameterString("~y~Mission passed!~s~")
    PushScaleformMovieFunctionParameterString("Good! but don't rest yet! we have things to do...")
    PopScaleformMovieFunctionVoid() 
    
    return scaleform
	
end

function RenderScaleform(scaleform)
   	DrawScaleformMovieFullscreen(scaleform, 255, 255, 255, 255, 0)
end

function displayPassedMission()
    local initalizedScaleform = PassedMission("mp_big_message_freemode")
    while displayThisMissionPassedScreen ~= false do
        RenderScaleform(initalizedScaleform)
        Citizen.Wait(0)
		
		DoScreenFadeOut(10500)
		if count == nil then
			count = 6
		else
			count = count -0.03
		if count <= 0 then
		displayThisMissionPassedScreen = false
			end
		end
    end
end


function DiedMission(scaleform)
    local scaleform = RequestScaleformMovie(scaleform)

    while not HasScaleformMovieLoaded(scaleform) do
      Citizen.Wait(0)
    end
	
    PushScaleformMovieFunction(scaleform, "SHOW_SHARD_WASTED_MP_MESSAGE")
    PushScaleformMovieFunctionParameterString("~r~WASTED~s~")
    PushScaleformMovieFunctionParameterString("You seem to be dead, better luck next time.")
    PopScaleformMovieFunctionVoid() 
    
    return scaleform
	
end

function RenderScaleform(scaleform)
   	DrawScaleformMovieFullscreen(scaleform, 255, 255, 255, 255, 0)
end

function displayDiedMission()
    local initalizedScaleform = DiedMission("mp_big_message_freemode")
    while displayThisMissionDiedScreen ~= false do
		StartScreenEffect("DeathFailOut", 0, 0)
        RenderScaleform(initalizedScaleform)
        Citizen.Wait(0)
		if count == nil then
			count = 6
		else
			count = count -0.03
		if count <= 0 then
		displayThisMissionDiedScreen = false
		StopScreenEffect("DeathFailOut")
			end
		end
    end
end